Emergency Calling Provisioning API

The Emergency Calling Provisioning API lets you manage emergency calling configuration

Download OpenAPI Specification

Get number emergency information

Get number emergency information

gethttps://api.nexmo.com/v1/emergency/numbers/:number

Authentication

KeyDescriptionWhereExample
Authorization

Base64 encoded API key and secret joined by a colon.
Read more

Headers

Basic <base64>

Path Parameters

number
string
Required
example15500900000

Filter by number

Responses
Content Type
application/json

OK

number
string
Required
example15500900000

An available inbound virtual number.

contact_name
string
exampleJohn Smith

Person of contact in case of emergency

address
object
id
string
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Vonage Address unique ID

address_name
string
Min2
Max32
examplemyaddress

A friendly name to identify the address

address_line1
string
example1 REGAL CT

First line of the full address

address_line2
string
exampleMerchant's House 205

Second line of the full address

city
string
exampleNew York

The city where this address is located

region
string
exampleNJ

The state or region of the address

type
string
exampleemergency

Type of address

Must be one of:emergency
address_location_type
string
Defaultbusiness
examplebusiness

Addrss location type as a business or domestic

Must be one of:businessresidential
postal_code
string
example10002

The Postal Code of this address

country
string
Min2
Max2
exampleUS

The two character country code in ISO 3166-1 alpha-2 format

Example Response

{
   "number": "15500900000",
   "contact_name": "John Smith",
   "address": {
      "id": "c49f3586-9b3b-458b-89fc-3c8beb58865c",
      "address_name": "myaddress",
      "address_line1": "1 REGAL CT",
      "address_line2": "Merchant's House 205",
      "city": "New York",
      "region": "NJ",
      "type": "emergency",
      "address_location_type": "business",
      "postal_code": "10002",
      "country": "US"
   }
}

Assign emergency address to number.

Assign emergency address to number. Use empty string as id to disassociate

patchhttps://api.nexmo.com/v1/emergency/numbers/:number

Authentication

KeyDescriptionWhereExample
Authorization

Base64 encoded API key and secret joined by a colon.
Read more

Headers

Basic <base64>

Path Parameters

number
string
Required
example15500900000

Update emergency address of number

Request Body
Content Type
application/json

One Of
address
object
Required
id
string
Required
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Vonage Address unique ID

contact_name
string
exampleJohn Smith

Person of contact in case of emergency

Example Request

{
   "address": {
      "id": "c49f3586-9b3b-458b-89fc-3c8beb58865c"
   },
   "contact_name": "John Smith"
}

Responses
Content Type
application/json

OK

number
string
Required
example15500900000

An available inbound virtual number.

contact_name
string
exampleJohn Smith

Person of contact in case of emergency

address
object
id
string
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Vonage Address unique ID

address_name
string
Min2
Max32
examplemyaddress

A friendly name to identify the address

address_line1
string
example1 REGAL CT

First line of the full address

address_line2
string
exampleMerchant's House 205

Second line of the full address

city
string
exampleNew York

The city where this address is located

region
string
exampleNJ

The state or region of the address

type
string
exampleemergency

Type of address

Must be one of:emergency
address_location_type
string
Defaultbusiness
examplebusiness

Addrss location type as a business or domestic

Must be one of:businessresidential
postal_code
string
example10002

The Postal Code of this address

country
string
Min2
Max2
exampleUS

The two character country code in ISO 3166-1 alpha-2 format

Example Response

{
   "number": "15500900000",
   "contact_name": "John Smith",
   "address": {
      "id": "c49f3586-9b3b-458b-89fc-3c8beb58865c",
      "address_name": "myaddress",
      "address_line1": "1 REGAL CT",
      "address_line2": "Merchant's House 205",
      "city": "New York",
      "region": "NJ",
      "type": "emergency",
      "address_location_type": "business",
      "postal_code": "10002",
      "country": "US"
   }
}